Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::ProxySupplier Interface Reference

Defines the interface shared by all supplier proxies. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::ProxySupplier:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::ProxySupplier:

[legend]
List of all members.

## Public Methods
CosNotification::EventTypeSeq | obtain_offered_types (in ObtainInfoMode mode)
| Get the list of event types that this proxy could potentially forward to its connected supplier. More...
void | validate_event_qos (in CosNotification::QoSProperties required_qos, out CosNotification::NamedPropertyRangeSeq available_qos) raises (CosNotification::UnsupportedQoS)
| Validate a list of QoS properties for an event. More...
## Public Attributes
readonly attribute ProxyType | MyType
| The style and event format for this proxy. More...
readonly attribute ConsumerAdmin | MyAdmin
| The ConsumerAdmin this proxy belongs to. More...
attribute CosNotifyFilter::MappingFilter | priority_filter
| Get and set the mapping filter used to change the priority property for this proxy. More...
attribute CosNotifyFilter::MappingFilter | lifetime_filter
| Get and set the mapping filter used to change the lifetime property for this proxy. More...

## Detailed Description

Defines the interface shared by all supplier proxies.

Supplier proxies are used by consumers to communicate with the Notification Service, this interface captures the shared operations in all those proxies.

## Member Function Documentation

CosNotification::EventTypeSeq CosNotifyChannelAdmin::ProxySupplier::obtain_offered_types | ( | in ObtainInfoMode | mode | ) |

  | Get the list of event types that this proxy could potentially forward to its connected supplier. Parameters:
  mode | Describe how the publications should be fetched
Returns: The list of current subscriptions, if requested in the mode argument

void CosNotifyChannelAdmin::ProxySupplier::validate_event_qos | ( | in CosNotification::QoSProperties | required_qos,
|  | out CosNotification::NamedPropertyRangeSeq | available_qos
| ) | raises (CosNotification::UnsupportedQoS)

  | Validate a list of QoS properties for an event. Applications send events with specific QoS properties, the following operation allows consumers to verify if a given set of QoS properties would be honored by the proxy. Parameters:
  required_qos | The QoS properties required by the supplier
  available_qos | If the QoS properties required are supported this argument returns any other QoS properties that the application may set without breaking the proxy capabilities.
  Exceptions:
  CosNotification::UnsupportedQoS | if the QoS properties required cannot be supported. The exception describes the problems and any legal values in detail.

## Member Data Documentation

attribute CosNotifyFilter::MappingFilter CosNotifyChannelAdmin::ProxySupplier::lifetime_filter

| Get and set the mapping filter used to change the lifetime property for this proxy. The filter is initialized to the nil reference

readonly attribute ConsumerAdmin CosNotifyChannelAdmin::ProxySupplier::MyAdmin

| The ConsumerAdmin this proxy belongs to.

readonly attribute ProxyType CosNotifyChannelAdmin::ProxySupplier::MyType

| The style and event format for this proxy.

attribute CosNotifyFilter::MappingFilter CosNotifyChannelAdmin::ProxySupplier::priority_filter

| Get and set the mapping filter used to change the priority property for this proxy. The filter is initialized to the nil reference

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl